Package: org.codehaus.groovy.antlr

## [Java] Class GroovySourceToken

- org.codehaus.groovy.antlr.GroovySourceToken

- All Implemented Interfaces and Traits:
    SourceInfo

      public class GroovySourceToken
      extends antlr.Token

  This is a Token sub class to track line information

  Authors:
    Jochen Theodorou

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected int` | `col` |
    `protected int` | `colLast` |
    `protected int` | `line` |
    `protected int` | `lineLast` |
    `protected String` | `text` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class antlr.Token` | `MIN_USER_TYPE, NULL_TREE_LOOKAHEAD, INVALID_TYPE, EOF_TYPE, SKIP, badToken`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovySourceToken (int t)` Constructor using a token type

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getColumn()`
    `` | `int` | `getColumnLast()`
    `` | `int` | `getLine()`
    `` | `int` | `getLineLast()`
    `` | `String` | `getText()` get the source token text
    `` | `void` | `setColumn(int c)`
    `` | `void` | `setColumnLast(int colLast)`
    `` | `void` | `setLine(int l)`
    `` | `void` | `setLineLast(int lineLast)`
    `` | `void` | `setText(String s)` set the source token text
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class antlr.Token`

    `antlr.Token#getLine(), antlr.Token#setFilename(java.lang.String), antlr.Token#getColumn(), antlr.Token#setColumn(int), antlr.Token#setLine(int), antlr.Token#setType(int), antlr.Token#toString(), antlr.Token#getType(), antlr.Token#getText(), antlr.Token#setText(java.lang.String), antlr.Token#getFilename(), antlr.Token#equals(java.lang.Object), antlr.Token#hashCode(), antlr.Token#getClass(), antlr.Token#notify(), antlr.Token#notifyAll(), antlr.Token#wait(long), antlr.Token#wait(long, int), antlr.Token#wait()`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected int col

    - #### protected int colLast

    - #### protected int line

    - #### protected int lineLast

    - #### protected String text

  - ### Constructor Detail

    - #### public GroovySourceToken(int t)

      Constructor using a token type

      Parameters:
        `t` - the type

  - ### Method Detail

    - #### public int getColumn()

    - #### public int getColumnLast()

    - #### public int getLine()

    - #### public int getLineLast()

    - #### public String getText()

      get the source token text

      Returns:
        the source token text

    - #### public void setColumn(int c)

    - #### public void setColumnLast(int colLast)

    - #### public void setLine(int l)

    - #### public void setLineLast(int lineLast)

    - #### public void setText(String s)

      set the source token text

      Parameters:
        `s` - the text

    - #### public String toString()